Subject: Re: building Python extension modules - crash on import
From: Jason Tishler <[email-masked]>
To: Peter Bienstman <[email-masked]>
Cc: [email-masked]
Date: Sun, 5 Aug 2001 22:04:48 -0400

Peter,

On Fri, Aug 03, 2001 at 04:57:39PM +0200, Peter Bienstman wrote:
> To follow up on my own post, I've noticed that Python distutils under Cygwin
> does not link to /usr/bin/libpython2.1.dll, but rather
> to -L/usr/lib/python2.1/config -lpython2.1, which is a different library.

Yes, but /usr/lib/python2.1/config/libpython2.1.dll.a is just the import
library for /usr/bin/libpython2.1.dll.  One should preference linking
against the import library to direct linking against the DLL.

> Anyway, when I try this new approach, the linking stage fails due to extra
> leading underscores in object files. Since this is the same problem as in
> http://www.cygwin.com/ml/cygwin/2001-07/msg01699.html , I'll append what
> I've done and my problems to that thread.

If you can refer me to a self contained (i.e. not dependent on other
libraries, etc.) Python C++ extension, then I'm willing to fiddle around
with it.

Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: 732.264.8770 x235
Dot Hill Systems Corp.               Fax:   732.264.8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/